Subject: Re: bug#62552: Bug found in latest stable release v3.10 of grep

From: Jeffrey Walton <[email-masked]>
Date: Fri, 31 Mar 2023 10:16:44 -0400

On Thu, Mar 30, 2023 at 4:01 PM mega lith01 <[email-masked]> wrote:
>
> Hi, i have identified what looks to be a bug in grep v3.10, the bug is not
> present in v3.8 or v3.9, to reproduce the bug please see the attached bash
> script.
>
> The bug looks related to the use of the regex [^\d]+ which then ends up
> resulting in no match.
>
> If you need any more details then please let me know, I am very keen to get
> this bug squashed as I make heavy use of grep in my scripts.

This appears to be an issue caused by PCRE2. The GNU Grep folks have
been discussing it on their mailing list. See "Possible regression in
grep 3.10", https://lists.gnu.org/archive/html/grep-devel/2023-03/msg00017.html.

Jeff